Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0008289 [DCSS] Patches minor have not tried 2014-03-17 10:47 2014-10-06 03:34
Reporter Yermak View Status public  
Assigned To gammafunk
Priority normal Resolution done  
Status closed   Product Branch 0.14 ancient branch
Summary 0008289: Very long Invis from cloud of chaos
Description While being in abyss, my TrFi got caught by Apocalypse Crab breath, that inflicted invisibility on him.
55910 | Depths:4 | Escaped the Abyss
saved on Zig:7 on 2014-03-17 after 56666 turns
My character still has that Invis active, thus it lasts for at least 756 turns.
Additional Information
Tags No tags attached.
Attached Files ? file icon 0001-Fix-permanent-invisibility-bug.-No-negative-duration.patch [^] (4,976 bytes) 2014-03-23 22:09 [Show Content]

- Relationships
related to 0009311closedPleasingFungus Extremely long duration resistance buff 

-  Notes
(0025685)
gammafunk (administrator)
2014-03-23 10:44

We (|amethyst and I) tried pretty hard to reproduce this bug, but to no avail. We can definitely see that it happened from watching the ttyrec.

Yermak, aside from Rmsl was there anything notable that you had active or that had happened either before or shortly *after* you were made invisible? MarvinPA mentioned that you read ?vulnerability at one point, but I'm not sure how long after the invis status that was. Any extra info you can give us would be helpful. I tried recreating as a Tr of Cheibriados in abyss, and in many attempts invis from the chaos clouds always wears off. Needless to say this may be a hard bug to track down.
(0025686)
gammafunk (administrator)
2014-03-23 10:45

Confirmed
(0025688)
MarvinPA (developer)
2014-03-23 12:01

The ?vuln was according to this thread: https://crawl.develz.org/tavern/viewtopic.php?f=9&t=11363 [^]
(0025690)
blackcustard (reporter)
2014-03-23 22:06

The irony here is that you could have ended your permanent invisibility at any time: by quaffing a potion of invisibility.

_decrement_a_duration was being sloppy. Negative durations. Patch attached. Details in commit message.
(0025710)
gammafunk (administrator)
2014-03-27 02:06

A patch based on this was pushed in 0.14-a0-3521-g8f1b972, thanks! In retrospect we should have had at least an inkling that the problem was in _decrement_a_duration(), especially with the god being Cheibrodos.

I didn't use your patch directly since I wanted to use better ASSERTS and add function documentation. It's a good idea to use ASSERT or die for internal logic errors rather than printing a warning message about bug reports; we'll always see a crash and assert message in ##crawl-dev, and in webtiles the player is prompted when a crash occurs and asked to make a bug report.

- Issue History
Date Modified Username Field Change
2014-03-17 10:47 Yermak New Issue
2014-03-23 10:44 gammafunk Note Added: 0025685
2014-03-23 10:45 gammafunk Note Added: 0025686
2014-03-23 10:45 gammafunk Status new => confirmed
2014-03-23 12:01 MarvinPA Note Added: 0025688
2014-03-23 22:06 blackcustard Note Added: 0025690
2014-03-23 22:09 blackcustard File Added: 0001-Fix-permanent-invisibility-bug.-No-negative-duration.patch
2014-03-24 01:03 MarvinPA Category Bug Report => Patches
2014-03-27 02:06 gammafunk Note Added: 0025710
2014-03-27 02:06 gammafunk Status confirmed => resolved
2014-03-27 02:06 gammafunk Fixed in Branch => 0.14 development branch
2014-03-27 02:06 gammafunk Resolution open => done
2014-03-27 02:06 gammafunk Assigned To => gammafunk
2014-04-03 15:40 blackcustard Issue Monitored: blackcustard
2014-10-06 03:34 Yermak Status resolved => closed
2014-12-08 19:33 PleasingFungus Relationship added related to 0009311


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker